@import url("reset.css");
@import url("V2modal.css");
@import url("V2login.css");
@import url("V2manage.css");
@import url("V2vacations.css");
@import url("V2quotes.css");

:root {
	--primary-color: 228, 228, 228; /* #e4e4e4 */
	--primary-color-text: 24, 24, 24; /* #181818 */
	--primary-background-color: 209, 206, 208; /* #d1ced0 */
	
	--secondary-color: 213, 224, 234; /* #d5e0ea */
	--secondary-background-color: 243, 243, 243; /* #f3f3f3 */
	
	--accent-color-yellow: 227, 164, 126; /* #e3a47e */
	--accent-color-purple: 121, 30, 148; /* #791e94 */
	--accent-color-light-purple: 32, 31, 33; /* #201f21 */
	--accent-background-purple: 240, 240, 240; /* #f0f0f0 */
	
	--shadow-color: 0, 0, 0; /* #000 */
}

body, html {
    height: 100%;
    margin: 0;
    overflow: hidden;
}

body {
    background: rgba(var(--accent-background-purple), 1)
}

.gold {
    color: rgba(var(--accent-color-yellow), 1);
}

.hide {
    display: none !important;
}

.show {
    display: block;
}

.card {
    background: rgba(var(--primary-color), 0.25);
    border: 1px solid rgba(var(--accent-color-light-purple), 0.05);
    border-radius: 15px;
    color: rgba(var(--primary-color-text), 0.9);
    padding: 15px;
    height: 100%;
    width: 100%;
    max-width: 350px;
    position: relative;
    scroll-snap-align: start;
}

h2 {
    color: rgba(var(--accent-color-light-purple), 1);
    font-size: 1.3rem;
    font-weight: 400;
    margin-bottom: 10px;
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
    gap: 5px;
}

.gradient-icon {
    background-image: linear-gradient(to bottom left, rgba(var(--accent-color-purple), 0.95), rgba(var(--accent-color-yellow), 0.75));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    display: inline-block;
    font-size: 2rem;
}

.btn-secondary {
    display: grid;
    background: rgba(var(--primary-color), 1);
    place-items: center;
    color: rgba(var(--accent-color-light-purple), 1);
    height: 35px;
    width: 100%;
    border-radius: 35px;
    background: rgba(var(--secondary-color), 0.55);
    
    &:hover, &:active, &:focus, &.active {
        cursor: pointer;
        color: rgba(var(--accent-color-yellow), 1);
        background: rgba(var(--secondary-color), 1);
    }

    i {
        font-size: 1rem;
    }
}

.dashed-box {
    display: grid;
    place-items: center;
    font-size: 0.9rem;
    line-height: 1.35rem;
    height: 35px;
    border: 1px dashed rgba(var(--accent-color-light-purple), 0.75);
    border-radius: 30px;
    text-align: center;

    i {
        color: rgba(var(--accent-color-light-purple), 1);
    }
}

/* FORMS AND INPUTS */
form {
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
    
    input, textarea {
        border: 1px solid rgba(var(--secondary-color), 1);
        /* border: none; */
        color: rgba(var(--primary-color-text), 1);
        border-radius: 5px;
        padding-left: 5px;
    }
    
    textarea {
        width: 100%;
    }

    input[type="text"],
    input[type="password"] {
        height: 2.5rem; 
    }
    
    button {
        height: 2.5rem;
        width: 100%;
        background-color: rgba(var(--accent-color-yellow), 1);
        color: rgba(var(--primary-color-text), 1);
        border: none;
        border-radius: 5px;
    
        &:hover,
        &:focus {
            background-color: rgba(var(--primary-color-text), 1);
            color: rgba(var(--accent-color-yellow), 1);
            cursor: pointer;
        }
    }
    
}

/* FOOTER NAV STUFF */
.button-container {
    /* position: fixed; */
    position: absolute; /* position fixed is not working in mobile view on desktiop */
    bottom: 0;
    left: 0;
    right: 0;
    padding: 8px 0 6px 0;
    background: rgba(var(--accent-background-purple), 0.8);
    backdrop-filter: blur(8px);
    -webkit-transform: translateZ(0); 
    transform: translate3d(0, 0, 0); 
    z-index: 1000;
}

.button-wrapper {
    width: 98%;
    max-width: 380px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 5px;
    box-sizing: border-box;
    background: none;
    border-radius: 20px;
    padding: 6px;
    border-radius: 80px;
}

.neumorphic-button {
    aspect-ratio: 1 / 1; 
    border: none;
    border-radius: 50px;
    background: none;
    cursor: pointer;
    outline: none;
    display: grid;
    place-items: center;
    transition: all 0.2s ease-in-out;
}
.neumorphic-button:first-of-type {
    border-top-left-radius: 50px;
    border-bottom-left-radius: 50px;
}
.neumorphic-button:last-of-type {
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
} 

.icon-background {
    width: 80%;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    background: none;
    display: grid;
    place-items: center;
    transition: box-shadow 0.2s ease-in-out;
}

.neumorphic-button i {
    font-size: 1.4rem;
    color: rgba(var(--primary-color-text), 1);
    opacity: 0.35;
    transition: text-shadow 0.2s ease-in-out, color 0.2s ease-in-out, opacity 0.2s ease-in-out;
}

.neumorphic-button:hover i,
.neumorphic-button.is-active i {
    opacity: 1;
    text-shadow: 0 0 8px rgba(var(--accent-color-yellow), 0.8), 0 0 15px rgba(var(--accent-color-yellow), 0.6);
    color: rgba(var(--accent-color-yellow), 1);
}

#V2login-manage, #continent-container, #locations-container, #itinerary-container {
    overflow-y: auto;
}

.main-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(275px, 1fr));
    gap: 25px;
    padding: 0 25px 80px 25px;
    height: 100%;
    max-width: 1300px;
    margin: 25px auto 0 auto;
    place-items: center;
    scroll-snap-type: y mandatory;
    -webkit-overflow-scrolling: touch;
    overscroll-behavior-y: contain;
}
/* END FOOTER NAV STUFF */


main {
    background: transparent;
    /* for horizontal slide effect */
    position: relative;
    height: calc(var(--vh, 1vh) * 100 - 80px);
    min-height: calc(var(--vh, 1vh) * 100 - 80px);
    width: 100%;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 100%;
    transition: transform 0.5s ease-in-out;
    
     > section {
        height: 100%;
        width: 100%;
    }
    
    /* HIDE LAST PASS */
    svg {
        display: none !important;
        opacity: 0 !important;
        z-index: 0 !important;
    }
    .lp-show-hide, 
    .lp-show-hide + .lp-show-hide-password {
        display: none !important;
        opacity: 0 !important;
        z-index: 0 !important;
    }
    .lpinj-icon {
        display: none !important;
        opacity: 0 !important;
        z-index: 0 !important;
    }
    #lptp_search_wrapper,
    .lpHover,
    .lp-overlay {
        display: none !important;
        opacity: 0 !important;
        z-index: 0 !important;
    }
    .lp-button-container {
        display: none !important;
        opacity: 0 !important;
        z-index: 0 !important;
    }
    input.lp-password-field {
        background-color: transparent !important;
        border: none !important;
        box-shadow: none !important;
        opacity: 0 !important;
        z-index: 0 !important;
    }
    /* END HIDE LAST PASS */

    #hero {
        width: 100%;
        height: auto;
        padding: 20px 10px;
        
        p {
            width: 90%;
            max-width: 960px;
            margin: 20px auto;
        }
    }

    /* #home-container,
    #V2login-manage,
    #continent-container,
    #locations-container,
    #itinerary-container {
        height: 100dvh;
    } */

    /* MAYBE CHANGE THE BACKGROUND COLORS FOR EACH SLIDE? */
    /* #home-container {
        background: red;
    }
    #continent-container {
        background: orange;
    }
    #itinerary-container {
        background: yellow;
    }
    #locations-container {
        background: green;
    }
    #V2login-manage {
        background: blue;
    } */
    
    #home-container {
        #visits {
            width: 100%;
            text-align: center;
            
            p {
                display: grid;
                grid-template-columns: 1fr 1fr;
                gap: 15px;
                place-items: center;
                border: 1px dashed rgba(var(--accent-color-light-purple), 0.75);
                border-radius: 55px;
                height: 55px;
                width: 239px;
                margin: 35px auto;
                color: rgba(var(--primary-color-text), 0.9);
                font-size: 1.5rem;
                
                .the-icon {
                    width: 100%;
                    height: 1.2em;
                    text-align: right;
                    background-image: linear-gradient(to bottom left, rgba(var(--secondary-color), 0.95), rgba(var(--accent-color-yellow), 1));
                    -webkit-background-clip: text;
                    background-clip: text;
                    color: transparent;
                    display: inline-block;
                    font-size: 2rem;
                }
                .the-text {
                    width: 100%;
                    text-align: left;
                    height: 1.2em;
                    overflow: hidden;
                    display: block;
                    position: relative;
                }
                
                #country-counter {
                    transition: transform 0.2s ease-out;
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    text-align: left;
                }
            }
        }
        
        #quotes blockquote {
            display: none; /* Hide all quotes by default */
        }
        
        #quotes blockquote.active {
            display: block; /* Show only the active quote */
        }
        
        #quotes {
            blockquote {
                width: 100%;
                max-width: 420px;
                padding: 20px;
                margin: 10px auto;
                position: relative;
                z-index: 888;
                
                p {
                    color: rgba(var(--accent-color-light-purple), 1);
                    font-size: 1.75rem;
                    position: relative;
                    z-index: 999;
                    padding: 0 10px;
                }
                
                p.author {
                    color: rgba(var(--accent-color-light-purple), 0.5);
                    font-size: 1.25rem;
                    margin-top: 15px;
                    text-align: right;
                    position: relative;
                    z-index: 999;
                    padding: 0;
                }
            }
            blockquote::before {
                content: "\201C";
                font-size: 6rem;
                color: rgba(var(--primary-color), 0.35);
                position: absolute;
                top: -15px;
                left: 0;
            }
            
            blockquote::after {
                content: "\201D";
                font-size: 6rem;
                color: rgba(var(--primary-color), 0.35);
                position: absolute;
                bottom: -15px;
                right: 0;
            }
        }
    }
    
    #continent-container {
        
        .card {
            height: auto;
            align-self: start;
            
            h2 {
            
                i {
                }
            }
            
            .dashed-box {

                i {
                }
            }
            
            ul {
                padding-top: 10px;
                display: grid;
                grid-template-columns: 1fr 1fr 1fr 1fr;
                gap: 20px;
                font-size: 0.8rem;
                place-items: center;
                
                li {
                    /* display: grid;
                    margin: 0 0 10px 0;
                    place-items: center;
                    gap: 5px; */
                    
                    img {
                        height: 40px;
                        width: 40px;
                        /* margin-right: 3px; */
                        border-radius: 5px;
                    }
                }
            }
        }
    }
    
    #itinerary-container {
        
        .card {
            height: auto;
            align-self: start;
            
            h2 {
            
                i {
                }
            }
            .dashed-box {
                grid-template-columns: 1fr;
                padding: 0 5px;

                span {
                    display: grid;
                    grid-template-columns: 1fr 0.75fr 1fr;
                    gap: 0px; 
                    align-items: center;
                    font-size: 0.8rem;

                    em:first-of-type {
                        text-align: left;
                    }

                    em:last-of-type {
                        text-align: right;
                    }

                    i:first-of-type {
                        margin-left: 5px;
                    }
                    i:last-of-type {
                        margin-right: 5px;
                    }

                    .gold {
                        color: rgba(var(--accent-color-yellow), 0.8);
                    }
                }
            } 
            
            ul {
                padding: 10px 0 0 0;
                display: grid;
                grid-template-columns: 1fr;
                gap: 10px;
                font-size: 0.8rem;
                
                li {
                    display: grid;
                    align-items: center;
                    gap: 3px;
                    background: rgba(var(--accent-background-purple), 1);
                    padding: 8px;
                    border-radius: 15px;
                    
                    strong {
                        width: 60px;
                        padding: 8px 0;
                        text-align: center;
                        border-radius: 10px;
                        background: rgba(var(--primary-color), 0.55);
                        color: rgba(var(--accent-color-light-purple), 1);
                        margin-bottom: 8px;
                    }
                    
                    p {
                        border: none;
                        text-align: left;
                        padding-left: 10px;
                        margin-bottom: 5px;
                    }
                    
                    img {
                        height: 20px;
                        margin-right: 3px;
                        border-radius: 3px;
                    }
                }
            }
        }
    }
    
    #locations-container {
        
        .card {
            
            h2 
                img {
                    height: 30px;
                    width: 30px;
                    border-radius: 5px;
                }

                .location-name {
                }
            }
            
            p {
                font-size: 0.85rem;
                
                .star {
                    font-size: 0.75rem;
                    color: rgba(var(--accent-color-yellow), 1);
                }
                
                a {
                    color: rgba(var(--accent-color-light-purple), 1);
                    
                    &:hover, &:active, &:focus {
                        color: rgba(var(--accent-color-yellow), 1);
                    }
                }
            }
            
            section.knowledge {
                grid-template-columns: 1fr 1fr;
                margin-bottom: 10px;
                
                .dashed-box {
                    i {
                    }
                }
            }
            
            section.content-container {
                background: rgba(var(--accent-background-purple), 1);
                padding: 10px;
                border-radius: 15px;
                height: auto;
                min-height: 268px;
                position: relative;
                overflow: hidden;
                transition: transform 0.8s;
                transform-style: preserve-3d;
                backface-visibility: hidden;
                
                .city-info, .notes-container, .pics-container { 
                    height: 100%;
                    
                    .icon {
                        display: inline-block;
                        margin-right: 5px;
                        background: rgba(var(--primary-color), 0.55);
                        color: rgba(var(--accent-color-light-purple), 1);
                        padding: 10px 0;
                        width: 35px;
                        border-radius: 55px;
                        text-align: center;
                    }
                    
                    p.city {
                        font-size: 1.35rem;
                        text-align: center;
                        padding: 3px 0 5px 0;
                        margin: 0 0 10px 0;
                        background: rgba(var(--primary-color), 0.55);
                        border-radius: 20px;
                        
                        .star {
                            font-size: 0.75rem;
                            color: rgba(var(--accent-color-yellow), 1);
                            font-style: normal;
                        }
                    }
                    
                    span.city-ratings-container {
                        p.language, p.food, p.nightlife, p.fun, p.people, p.safety, p.cleanliness {
                            display: grid;
                            grid-template-columns: 40px 100px 1fr;
                            gap: 10px;
                            align-items: center;
                        }
                    }
                    p.language,
                    p.food,
                    p.nightlife,
                    p.fun,
                    p.people,
                    p.safety,
                    p.cleanliness {
                        margin: 0 0 5px 0;
                    }
                    
                    p.notes-content {
                        height: 100%;
                        min-height: 200px;
                        
                        strong {
                            display: block;
                            margin-bottom: 10px;
                        }   
                    }
                    
                    p.pic-thumbs {
                        display: grid;
                        grid-template-columns: repeat(3, 1fr);
                        grid-template-rows: repeat(3, 1fr);
                        gap: 5px;
                        height: 100%;
                        min-height: 200px;
                        place-items: center;
                        font-size: 2.5rem;
                        color: rgba(var(--accent-color-light-purple), 0.55);
                        
                        img {
                            border-radius: 3px;
                            object-fit: cover;
                            max-height: 50px;
                            place-self: center;
                            
                            &.location-pic {
                                /* border: 1px solid rgba(var(--accent-color-light-purple), 0.35);
                                box-shadow: 5px 5px 5px rgba(var(--primary-color), 0.5); */
                            }
                            
                            &.polaroid {
                                opacity: 0.5;
                                transform: rotate(15deg);
                                box-shadow: 5px 5px 5px rgba(var(--primary-color), 0.5);
                            }
                        }
                    }
                    p.instagram-link {
                        font-size: 1.75rem;
                        text-align: center;
                        position: absolute;
                        bottom: 10px;
                        left: 50%;
                        width: 150px;
                        background: rgba(var(--primary-color), 0.55);
                        margin: 10px auto 0 -75px;
                        padding: 3px 0;
                        border-radius: 25px;
                    }
                }
            }
            
            section.extras {
                display: grid;
                grid-template-columns: 1fr 1fr 1fr;
                place-items: center;
                gap: 5px;
                margin-top: 10px;

                .btn-secondary {
                    font-size: 0.75rem;
                    
                    i {
                        font-size: 0.75rem;
                    }
                }
            }
        }
    }
    
    #V2login-manage {
        h2 {
            grid-template-columns: 1fr;
            margin-top: 20px;
        }

        #V2manage-nav {

            .theme-nav {
                display: grid;
                grid-template-columns: repeat(5, 1fr);
                gap: 10px;
                place-items: center;
                width: 96%;
                max-width: 374px;
                margin: 10px auto 50px auto;
                padding: 0 0 15px 0;
                color: rgba(var(--accent-color-yellow), 1);
                border-bottom: 1px solid rgba(var(--secondary-color), 0.55);
            }

            .insert-nav{
                display: grid;
                grid-template-columns: 1fr 1fr 1fr;
                gap: 10px;
                min-width: 374px;
                max-width: 374px;
                margin: 10px auto 0;
                padding: 0 15px;

                .btn-secondary {
                    font-size: 0.75rem;
                    i {
                        font-size: 0.75rem;
                    }
                }
            }
        }
    }
}

.flipped {
    transform: rotateY(180deg); 
}